#!/bin/sh
echo -n 'Введите ваше имя и фамилию латинскими буквами: '
read PACKAGER
echo -n 'Введите ваш email: '
read EMAIL
mkdir -pv $HOME/.hasher
install -m644 hasher-config $HOME/.hasher/config
sed s/user/$USER/ -i $HOME/.hasher/config
sed s/packager_name/"$PACKAGER"/ -i $HOME/.hasher/config
sed s/email@domen/$EMAIL/ -i $HOME/.hasher/config
install -m644 rpmmacros $HOME/.rpmmacros
sed s/user/$USER/ -i $HOME/.rpmmacros
sed s/packager_name/"$PACKAGER"/ -i $HOME/.rpmmacros
sed s/email@domen/$EMAIL/ -i $HOME/.rpmmacros

git config --global user.email $EMAIL
git config --global user.name $PACKAGER

mkdir -pv $HOME/RPM/BUILD
mkdir -pv $HOME/RPM/RPMS
mkdir -pv $HOME/RPM/SOURCES
mkdir -pv $HOME/RPM/SPECS
mkdir -pv $HOME/RPM/SRPMS
mkdir -pv $HOME/gear
mkdir -pv $HOME/.apt/lists/partial

for repo in p7 p8 sisyphus; do
    for arch in 32 64; do
        mkdir -pv $HOME/.apt/cache/$repo/archives/partial
        echo Dir::Etc::SourceList \"$HOME/.apt/$repo-$arch.list\"\; > $HOME/.apt/$repo-$arch-apt.conf
        echo Dir::Etc::SourceParts "/var/empty"\; >> $HOME/.apt/$repo-$arch-apt.conf
        echo Dir::State::lists \"$HOME/.apt/lists/\"\; >> $HOME/.apt/$repo-$arch-apt.conf
        echo Dir::Cache \"$HOME/.apt/cache/$repo/\"\; >> $HOME/.apt/$repo-$arch-apt.conf
        echo APT::Architecture \"$arch\"\; >> $HOME/.apt/$repo-$arch-apt.conf
        echo APT::Cache-Limit "536870912"\; >> $HOME/.apt/$repo-$arch-apt.conf
        install -m644 $repo-$arch.list $HOME/.apt/$repo-$arch.list
        mkdir -pv $HOME/hasher-repo/$repo
    done
done
echo "Если вы впервые настраиваете hasher для текущего пользователя, то от имени root выполните команду:"
echo "hasher-useradd $USER"
echo "После чего перелогиньтесь"
